# Quick deployment

1. You have the docker-compose.yaml and the .env file in a folder
2. Change hostname in the .env
  - PUBLIC_DOMAIN
  - PUBLIC_URL
  - SSO_PUBLIC_DOMAIN
  - SSO_PUBLIC_URL
  - LICENSE

3. mkdir -p ssl && chmod 777 ssl
4. docker-compose up -d deployment-init
  - Wait until the container successfully exits
  - docker-compose logs -f deployment-init
5. docker-compose up -d

## Altair Unit Licensing for testing and development

Original docs for LicenseProxy can be found [here](https://repo.rapidminer.com/projects/RML/repos/license-proxy/browse/README.md)

### `altair_one` LicenseProxy mode

1. Set `LICENSE_PROXY_MODE` to `altair_one`
2. Make sure you have a test license set up for your Altair One account for the staging Altair One (Chris Sauerwald can help with that)
3. Make sure to provide the necessary credentials in the `.env` file
  - In case of `LICENSE_UNIT_MANAGER_AUTHENTICATION_TYPE=static_token`
    - Provide a value for `LICENSE_UNIT_MANAGER_TOKEN`
  - In case of `LICENSE_UNIT_MANAGER_AUTHENTICATION_TYPE=credentials`
    - Provide values for `LICENSE_UNIT_MANAGER_USER_NAME` and `LICENSE_UNIT_MANAGER_PASSWORD`
4. Add the following environment variables for the `license-proxy` service in `docker-compose.yml`
  ```
  - ALAKIT_ALT_ST_ENDPOINT=https://auth-stage.admin.altairone.com/authservice/?wsdl
  - ALM_HHWU_ALT_ENDPOINT_CLIENT=https://client-stage.hhwu.altair.com/BankWebProject/services/Bank.BankHttpsSoap11Endpoint/
  - ALM_HHWU_ALT_ENDPOINT_AUTH=https://auth-stage.hhwu.altair.com/BankAuthProject/services/BankAuth.BankAuthHttpsSoap11Endpoint/
  ```

### `on_prem` LicenseProxy mode

1. Connect to Altair VPN
2. Set `LICENSE_PROXY_MODE` to `on_prem`
3. Set up the License Proxy connection to the staging license server in `.env`
  ```
  ALTAIR_LICENSE_PATH=6200@trlicsrv01
  ```
4. Specify the docker network subnets in `docker-compose.yml` at the end (`networks:` section), because if you turn on Altair VPN, it can get in the way of setting this up automatically
```
networks:
  platform-int-net:
    ipam:
      config:
        - subnet: "172.28.0.0/16"
  idp-db-net:
    ipam:
      config:
        - subnet: "172.25.0.0/16"
  aihub-db-net:
    ipam:
      config:
        - subnet: "172.31.0.0/16"
  coding-environment-storage-net:
    ipam:
      config:
        - subnet: "172.26.0.0/16"
  jupyterhub-user-net:
    name: jupyterhub-user-net-${JUPYTERHUB_STACK_NAME}
    ipam:
      config:
        - subnet: "172.29.0.0/16"
  default:
    ipam:
      config:
        - subnet: "172.40.0.0/16"
```